## ros-rolling-rmw-fastrtps-shared-cpp 6.1.2

=== CMakeLists.txt ===
# Copyright 2016-2018 Proyectos y Sistemas de Mantenimiento SL (eProsima).
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

cmake_minimum_required(VERSION 3.5)

project(rmw_fastrtps_shared_cpp)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wthread-safety)
endif()

if(SECURITY)
  find_package(OpenSSL REQUIRED)
endif()

find_package(ament_cmake_ros REQUIRED)

find_package(rcpputils REQUIRED)
find_package(rcutils REQUIRED)
find_package(rmw_dds_common REQUIRED)

find_package(fastrtps_cmake_module REQUIRED)
find_package(fastcdr REQUIRED CONFIG)
find_package(fastrtps 2.3 REQUIRED CONFIG)
find_package(FastRTPS 2.3 REQUIRED MODULE)

find_package(rmw REQUIRED)

add_library(rmw_fastrtps_shared_cpp
  src/custom_publisher_info.cpp
  src/custom_subscriber_info.cpp
  src/create_rmw_gid.cpp
  src/demangle.cpp
  src/init_rmw_context_impl.cpp
  src/listener_thread.cpp
  src/namespace_prefix.cpp
  src/participant.cpp
  src/publisher.cpp
  src/qos.cpp
  src/rmw_client.cpp
  src/rmw_compare_gids_equal.cpp
  src/rmw_count.cpp
  src/rmw_event.cpp
  src/rmw_get_endpoint_network_flow.cpp
  src/rmw_get_gid_for_publisher.cpp
  src/rmw_get_topic_endpoint_info.cpp
  src/rmw_guard_condition.cpp
  src/rmw_init.cpp
  src/rmw_logging.cpp
  src/rmw_node.cpp
  src/rmw_node_info_and_types.cpp
  src/rmw_node_names.cpp
  src/rmw_publish.cpp
  src/rmw_publisher.cpp
  src/rmw_qos.cpp
  src/rmw_request.cpp
  src/rmw_response.cpp
  src/rmw_security_logging.cpp
  src/rmw_service.cpp
  src/rmw_service_names_and_types.cpp
  src/rmw_service_server_is_available.cpp
  src/rmw_subscription.cpp
  src/rmw_take.cpp
  src/rmw_topic_names_and_types.cpp
  src/rmw_trigger_guard_condition.cpp
  src/rmw_wait.cpp
  src/rmw_wait_set.cpp
  src/subscription.cpp
  src/time_utils.cpp
  src/TypeSupport_impl.cpp
  src/utils.cpp
)
target_include_directories(rmw_fastrtps_shared_cpp
  PUBLIC
  "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
  "$<INSTALL_INTERFACE:include>")
target_link_libraries(rmw_fastrtps_shared_cpp
  fastcdr fastrtps
)

# specific order: dependents before dependencies
ament_target_dependencies(rmw_fastrtps_shared_cpp
  "rcpputils"
  "rcutils"
  "rmw"
  "rmw_dds_common"
)

# Causes the visibility macros to use dllexport rather than dllimport,
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(${PROJECT_NAME}
PRIVATE "RMW_FASTRTPS_SHARED_CPP_BUILDING_LIBRARY")

# specific order: dependents before dependencies
ament_export_include_directories(include)
ament_export_libraries(rmw_fastrtps_shared_cpp)
ament_export_targets(rmw_fastrtps_shared_cpp)

ament_export_dependencies(rcpputils)
ament_export_dependencies(rcutils)
ament_export_dependencies(rmw)
ament_export_dependencies(rmw_dds_common)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
  add_subdirectory(test)
endif()

ament_package(
  CONFIG_EXTRAS_POST "rmw_fastrtps_shared_cpp-extras.cmake"
)

install(
  DIRECTORY include/
  DESTINATION include
)

install(
  TARGETS rmw_fastrtps_shared_cpp EXPORT rmw_fastrtps_shared_cpp
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

=== test/CMakeLists.txt ===
find_package(ament_cmake_gtest REQUIRED)
find_package(osrf_testing_tools_cpp REQUIRED)

ament_add_gtest(test_dds_attributes_to_rmw_qos test_dds_attributes_to_rmw_qos.cpp)
if(TARGET test_dds_attributes_to_rmw_qos)
    ament_target_dependencies(test_dds_attributes_to_rmw_qos)
    target_link_libraries(test_dds_attributes_to_rmw_qos ${PROJECT_NAME})
endif()

ament_add_gtest(test_dds_qos_to_rmw_qos test_dds_qos_to_rmw_qos.cpp)
if(TARGET test_dds_qos_to_rmw_qos)
    ament_target_dependencies(test_dds_qos_to_rmw_qos)
    target_link_libraries(test_dds_qos_to_rmw_qos ${PROJECT_NAME})
endif()

ament_add_gtest(test_rmw_qos_to_dds_attributes test_rmw_qos_to_dds_attributes.cpp)
if(TARGET test_rmw_qos_to_dds_attributes)
  target_link_libraries(test_rmw_qos_to_dds_attributes ${PROJECT_NAME})
endif()

ament_add_gmock(test_security_logging test_security_logging.cpp)
if(TARGET test_security_logging)
    ament_target_dependencies(test_security_logging)
    target_link_libraries(test_security_logging ${PROJECT_NAME})
endif()

ament_add_gtest(test_rmw_init_options test_rmw_init_options.cpp)
if(TARGET test_rmw_init_options)
  ament_target_dependencies(test_rmw_init_options osrf_testing_tools_cpp rcutils rmw)
  target_link_libraries(test_rmw_init_options ${PROJECT_NAME})
endif()

ament_add_gtest(test_guid_utils test_guid_utils.cpp)
if(TARGET test_guid_utils)
  target_link_libraries(test_guid_utils ${PROJECT_NAME})
endif()

ament_add_gtest(test_names test_names.cpp)
if(TARGET test_names)
  ament_target_dependencies(test_names rmw)
  target_link_libraries(test_names ${PROJECT_NAME})
endif()

ament_add_gtest(test_qos_profile_check_compatible test_qos_profile_check_compatible.cpp)
if(TARGET test_qos_profile_check_compatible)
  ament_target_dependencies(test_qos_profile_check_compatible rmw)
  target_link_libraries(test_qos_profile_check_compatible ${PROJECT_NAME})
endif()

ament_add_gtest(test_logging test_logging.cpp)
if(TARGET test_logging)
  ament_target_dependencies(test_logging
    osrf_testing_tools_cpp rcutils rmw)
  target_link_libraries(test_logging rmw_fastrtps_shared_cpp)
endif()

=== debian/changelog ===
ros-rolling-rmw-fastrtps-shared-cpp (6.1.2-1focal) focal; urgency=high

  * Fix cpplint error (#574 <https://github.com/ros2/rmw_fastrtps/issues/574>)
  * Contributors: Jacob Perron

 -- Michel Hidalgo <michel@ekumenlabs.com>  Fri, 14 Jan 2022 08:00:00 -0000

ros-rolling-rmw-fastrtps-shared-cpp (6.1.1-1focal) focal; urgency=high

  * Fixes for uncrustify 0.72 (#572 <https://github.com/ros2/rmw_fastrtps/issues/572>)
  * Contributors: Chris Lalancette

 -- Michel Hidalgo <michel@ekumenlabs.com>  Fri, 17 Dec 2021 08:00:00 -0000

ros-rolling-rmw-fastrtps-shared-cpp (6.1.0-1focal) focal; urgency=high

  * Add client/service QoS getters. (#560 <https://github.com/ros2/rmw_fastrtps/issues/560>)
  * Fix QoS depth settings for clients/service being ignored. (#564 <https://github.com/ros2/rmw_fastrtps/issues/564>)
  * Contributors: Chen Lihui, mauropasse

 -- Michel Hidalgo <michel@ekumenlabs.com>  Fri, 19 Nov 2021 08:00:00 -0000

ros-rolling-rmw-fastrtps-shared-cpp (6.0.0-1focal) focal; urgency=high

  * Update rmw_context_impl_t definition. (#558 <https://github.com/ros2/rmw_fastrtps/issues/558>)
  * Update the LoanManager to do internal locking. (#552 <https://github.com/ros2/rmw_fastrtps/issues/552>)
  * Contributors: Chris Lalancette, Michel Hidalgo

 -- Michel Hidalgo <michel@ekumenlabs.com>  Wed, 15 Sep 2021 07:00:00 -0000

ros-rolling-rmw-fastrtps-shared-cpp (5.2.2-1focal) focal; urgency=high

  * Pass the CRL down to Fast-DDS if available. (#546 <https://github.com/ros2/rmw_fastrtps/issues/546>)
  * Contributors: Chris Lalancette

 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 09 Aug 2021 07:00:00 -0000

ros-rolling-rmw-fastrtps-shared-cpp (5.2.1-1focal) focal; urgency=high

  * Use the new rmw_dds_common::get_security_files (#544 <https://github.com/ros2/rmw_fastrtps/issues/544>)
  * Support for SubscriptionOptions::ignore_local_publications (#536 <https://github.com/ros2/rmw_fastrtps/issues/536>)
  * Change links from index.ros.org -> docs.ros.org (#539 <https://github.com/ros2/rmw_fastrtps/issues/539>)
  * Contributors: Chris Lalancette, Jose Antonio Moral

 -- Michel Hidalgo <michel@ekumenlabs.com>  Wed, 30 Jun 2021 07:00:00 -0000

ros-rolling-rmw-fastrtps-shared-cpp (5.2.0-1focal) focal; urgency=high

  * Add rmw_publisher_wait_for_all_acked support. (#519 <https://github.com/ros2/rmw_fastrtps/issues/519>)
  * Contributors: Barry Xu

 -- Michel Hidalgo <michel@ekumenlabs.com>  Fri, 04 Jun 2021 07:00:00 -0000

ros-rolling-rmw-fastrtps-shared-cpp (5.1.0-1focal) focal; urgency=high

  * Loan messages implementation (#523 <https://github.com/ros2/rmw_fastrtps/issues/523>)
    * Added is_plain_ attribute to base TypeSupport.
    * Added new methods to base TypeSupport.
    * Implementation of rmw_borrow_loaned_message.
    * Implementation of rmw_return_loaned_message_from_publisher.
    * Enable loan messages on publishers of plain types.
    * Implementation for taking loaned messages.
    * Enable loan messages on subscriptions of plain types.
  * Export rmw_dds_common as an rmw_fastrtps_shared_cpp dependency (#530 <https://github.com/ros2/rmw_fastrtps/issues/530>)
  * Update includes after rcutils/get_env.h deprecation (#529 <https://github.com/ros2/rmw_fastrtps/issues/529>)
  * Contributors: Christophe Bedard, Michel Hidalgo, Miguel Company

 -- Michel Hidalgo <michel@ekumenlabs.com>  Wed, 12 May 2021 07:00:00 -0000

ros-rolling-rmw-fastrtps-shared-cpp (5.0.0-1focal) focal; urgency=high

  * Refactor to use DDS standard API (#518 <https://github.com/ros2/rmw_fastrtps/issues/518>)
  * Unique network flows (#502 <https://github.com/ros2/rmw_fastrtps/issues/502>)
  * updating quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#520 <https://github.com/ros2/rmw_fastrtps/issues/520>)
  * Contributors: Miguel Company, shonigmann

 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 06 Apr 2021 07:00:00 -0000

ros-rolling-rmw-fastrtps-shared-cpp (4.5.0-1focal) focal; urgency=high

  * Take and return new RMW_DURATION_INFINITE correctly (#515 <https://github.com/ros2/rmw_fastrtps/issues/515>)
  * Contributors: Emerson Knapp

 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 18 Mar 2021 07:00:00 -0000

ros-rolling-rmw-fastrtps-shared-cpp (4.4.0-1focal) focal; urgency=high

  * Add RMW function to check QoS compatibility (#511 <https://github.com/ros2/rmw_fastrtps/issues/511>)
  * Capture cdr exceptions (#505 <https://github.com/ros2/rmw_fastrtps/issues/505>)
  * Contributors: Jacob Perron, Miguel Company

 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 01 Mar 2021 08:00:00 -0000

ros-rolling-rmw-fastrtps-shared-cpp (4.3.0-1focal) focal; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 25 Jan 2021 08:00:00 -0000

ros-rolling-rmw-fastrtps-shared-cpp (4.2.0-1focal) focal; urgency=high

  * Make sure to lock the mutex protecting client_endpoints_. (#492 <https://github.com/ros2/rmw_fastrtps/issues/492>)
  * Contributors: Chris Lalancette

 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 10 Dec 2020 08:00:00 -0000

ros-rolling-rmw-fastrtps-shared-cpp (4.1.0-1focal) focal; urgency=high

  * Use interface whitelist for localhost only (#476 <https://github.com/ros2/rmw_fastrtps/issues/476>)
  * Make use of error return value in decrement_context_impl_ref_count (#488 <https://github.com/ros2/rmw_fastrtps/issues/488>)
  * Remove unnecessary includes (#487 <https://github.com/ros2/rmw_fastrtps/issues/487>)
  * Use new time_utils function to limit rmw_time_t values to 32-bits (#485 <https://github.com/ros2/rmw_fastrtps/issues/485>)
  * New environment variable to change easily the publication mode (#470 <https://github.com/ros2/rmw_fastrtps/issues/470>)
  * Remove unused headers MessageTypeSupport.hpp and ServiceTypeSupport.hpp (#481 <https://github.com/ros2/rmw_fastrtps/issues/481>)
  * Contributors: Jacob Perron, José Luis Bueno López, Michael Jeronimo, Miguel Company, Stephen Brawner



=== debian/control ===
Source: ros-rolling-rmw-fastrtps-shared-cpp
Section: misc
Priority: optional
Maintainer: Michel Hidalgo <michel@ekumenlabs.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake-ros, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-fastcdr, ros-rolling-fastrtps, ros-rolling-fastrtps-cmake-module, ros-rolling-osrf-testing-tools-cpp, ros-rolling-rcpputils, ros-rolling-rcutils, ros-rolling-rmw, ros-rolling-rmw-dds-common, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rmw-fastrtps-shared-cpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-ament-cmake, ros-rolling-fastcdr, ros-rolling-fastrtps, ros-rolling-fastrtps-cmake-module, ros-rolling-rcpputils, ros-rolling-rcutils, ros-rolling-rmw, ros-rolling-rmw-dds-common, ros-rolling-ros-workspace
Description: Code shared on static and dynamic type support of rmw_fastrtps_cpp.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-rmw-fastrtps-shared-cpp//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-rmw-fastrtps-shared-cpp 7.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,9 +16,10 @@
 
 project(rmw_fastrtps_shared_cpp)
 
-# Default to C++14
+# Default to C++17
 if(NOT CMAKE_CXX_STANDARD)
-  set(CMAKE_CXX_STANDARD 14)
+  set(CMAKE_CXX_STANDARD 17)
+  set(CMAKE_CXX_STANDARD_REQUIRED ON)
 endif()
 
 if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
@@ -34,19 +35,26 @@
 endif()
 
 find_package(ament_cmake_ros REQUIRED)
+find_package(rosidl_dynamic_typesupport REQUIRED)
+find_package(rosidl_dynamic_typesupport_fastrtps REQUIRED)
 
 find_package(rcpputils REQUIRED)
 find_package(rcutils REQUIRED)
 find_package(rmw_dds_common REQUIRED)
+find_package(rosidl_runtime_c REQUIRED)
+find_package(rosidl_typesupport_introspection_c REQUIRED)
+find_package(rosidl_typesupport_introspection_cpp REQUIRED)
+find_package(tracetools REQUIRED)
 
 find_package(fastrtps_cmake_module REQUIRED)
 find_package(fastcdr REQUIRED CONFIG)
-find_package(fastrtps 2.3 REQUIRED CONFIG)
-find_package(FastRTPS 2.3 REQUIRED MODULE)
+find_package(fastrtps 2.10 REQUIRED CONFIG)
+find_package(FastRTPS 2.10 REQUIRED MODULE)
 
 find_package(rmw REQUIRED)
 
 add_library(rmw_fastrtps_shared_cpp
+  src/custom_participant_info.cpp
   src/custom_publisher_info.cpp
   src/custom_subscriber_info.cpp
   src/create_rmw_gid.cpp
@@ -61,7 +69,9 @@
   src/rmw_compare_gids_equal.cpp
   src/rmw_count.cpp
   src/rmw_event.cpp
+  src/rmw_features.cpp
   src/rmw_get_endpoint_network_flow.cpp
+  src/rmw_get_gid_for_client.cpp
   src/rmw_get_gid_for_publisher.cpp
   src/rmw_get_topic_endpoint_info.cpp
   src/rmw_guard_condition.cpp
@@ -93,9 +103,11 @@
 target_include_directories(rmw_fastrtps_shared_cpp
   PUBLIC
   "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
-  "$<INSTALL_INTERFACE:include>")
+  "$<INSTALL_INTERFACE:include/${PROJECT_NAME}>")
 target_link_libraries(rmw_fastrtps_shared_cpp
   fastcdr fastrtps
+  rosidl_dynamic_typesupport::rosidl_dynamic_typesupport
+  rosidl_dynamic_typesupport_fastrtps::rosidl_dynamic_typesupport_fastrtps
 )
 
 # specific order: dependents before dependencies
@@ -104,6 +116,9 @@
   "rcutils"
   "rmw"
   "rmw_dds_common"
+  "rosidl_typesupport_introspection_c"
+  "rosidl_typesupport_introspection_cpp"
+  "tracetools"
 )
 
 # Causes the visibility macros to use dllexport rather than dllimport,
@@ -111,15 +126,24 @@
 target_compile_definitions(${PROJECT_NAME}
 PRIVATE "RMW_FASTRTPS_SHARED_CPP_BUILDING_LIBRARY")
 
-# specific order: dependents before dependencies
-ament_export_include_directories(include)
+# Export old-style CMake variables
+ament_export_include_directories("include/${PROJECT_NAME}")
 ament_export_libraries(rmw_fastrtps_shared_cpp)
+
+# Export modern CMake targets
 ament_export_targets(rmw_fastrtps_shared_cpp)
 
+# specific order: dependents before dependencies
 ament_export_dependencies(rcpputils)
 ament_export_dependencies(rcutils)
 ament_export_dependencies(rmw)
 ament_export_dependencies(rmw_dds_common)
+ament_export_dependencies(rosidl_typesupport_introspection_c)
+ament_export_dependencies(rosidl_typesupport_introspection_cpp)
+ament_export_dependencies(tracetools)
+
+ament_export_dependencies(rosidl_dynamic_typesupport_fastrtps)
+ament_export_dependencies(rosidl_dynamic_typesupport)
 
 if(BUILD_TESTING)
   find_package(ament_lint_auto REQUIRED)
@@ -133,7 +157,7 @@
 
 install(
   DIRECTORY include/
-  DESTINATION include
+  DESTINATION include/${PROJECT_NAME}
 )
 
 install(

=== debian/changelog ===
ros-rolling-rmw-fastrtps-shared-cpp (7.5.0-1jammy) jammy; urgency=high

  * Switch to using rclcpp::unique_lock. (#712 <https://github.com/ros2/rmw_fastrtps/issues/712>)
  * Use DataWriter Qos to configure max_blocking_time on rmw_send_response (#704 <https://github.com/ros2/rmw_fastrtps/issues/704>)
  * Contributors: Chris Lalancette, Miguel Company

 -- Geoffrey Biggs <geoff@openrobotics.org>  Thu, 07 Sep 2023 00:00:00 -0000

ros-rolling-rmw-fastrtps-shared-cpp (7.4.0-1jammy) jammy; urgency=high

  * Clear out errors once we have handled them. (#701 <https://github.com/ros2/rmw_fastrtps/issues/701>)
  * Instrument loaned message publication code path (#698 <https://github.com/ros2/rmw_fastrtps/issues/698>)
  * Add in a missing data_reader check when creating subscription. (#697 <https://github.com/ros2/rmw_fastrtps/issues/697>)
  * Contributors: Chris Lalancette, Christophe Bedard

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 21 Aug 2023 00:00:00 -0000

ros-rolling-rmw-fastrtps-shared-cpp (7.3.0-1jammy) jammy; urgency=high

  * Use TRACETOOLS_ prefix for tracepoint-related macros (#686 <https://github.com/ros2/rmw_fastrtps/issues/686>)
  * typo fix. (#693 <https://github.com/ros2/rmw_fastrtps/issues/693>)
  * Contributors: Christophe Bedard, Tomoya Fujita

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 12 Jun 2023 00:00:00 -0000

ros-rolling-rmw-fastrtps-shared-cpp (7.2.1-1jammy) jammy; urgency=high

  * address clang nightly build error. (#689 <https://github.com/ros2/rmw_fastrtps/issues/689>)
  * Check for errors while doing an rmw_discovery_options_copy. (#690 <https://github.com/ros2/rmw_fastrtps/issues/690>)
  * Contributors: Chris Lalancette, Tomoya Fujita

 -- Geoffrey Biggs <geoff@openrobotics.org>  Thu, 11 May 2023 00:00:00 -0000

ros-rolling-rmw-fastrtps-shared-cpp (7.2.0-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Thu, 27 Apr 2023 00:00:00 -0000

ros-rolling-rmw-fastrtps-shared-cpp (7.1.1-1jammy) jammy; urgency=high

  * Fix matched event issues (#683 <https://github.com/ros2/rmw_fastrtps/issues/683>)
  * Contributors: Miguel Company

 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 12 Apr 2023 00:00:00 -0000

ros-rolling-rmw-fastrtps-shared-cpp (7.1.0-1jammy) jammy; urgency=high

  * Dynamic Subscription (BONUS: Allocators): rmw_fastrtps (#687 <https://github.com/ros2/rmw_fastrtps/issues/687>)
  * Check for triggered guard conditions before waiting (#685 <https://github.com/ros2/rmw_fastrtps/issues/685>)
  * Runtime Interface Reflection: rmw_fastrtps (#655 <https://github.com/ros2/rmw_fastrtps/issues/655>)
  * [rmw_fastrtps] Improve handling of dynamic discovery (#653 <https://github.com/ros2/rmw_fastrtps/issues/653>)
  * Type hash distribution in discovery (rep2011) (#671 <https://github.com/ros2/rmw_fastrtps/issues/671>)
  * Implement matched event (#645 <https://github.com/ros2/rmw_fastrtps/issues/645>)
  * Implement inconsistent topic event (#654 <https://github.com/ros2/rmw_fastrtps/issues/654>)
  * Update all rmw_fastrtps packages to C++17. (#674 <https://github.com/ros2/rmw_fastrtps/issues/674>)
  * Contributors: Barry Xu, Chris Lalancette, Emerson Knapp, Geoffrey Biggs, Michael Carroll, methylDragon

 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 12 Apr 2023 00:00:00 -0000

ros-rolling-rmw-fastrtps-shared-cpp (7.0.0-1jammy) jammy; urgency=high

  * Rewrite how Topics are tracked in rmw_fastrtps_cpp. (#669 <https://github.com/ros2/rmw_fastrtps/issues/669>)
  * Delay lock on message callback setters (#657 <https://github.com/ros2/rmw_fastrtps/issues/657>)
  * Make sure to add semicolons to the CHECK_TYPE_IDENTIFIER_MATCH. (#658 <https://github.com/ros2/rmw_fastrtps/issues/658>)
  * Allow loaned messages without data-sharing (#568 <https://github.com/ros2/rmw_fastrtps/issues/568>)
  * Fix incoherent dissociate_writer to dissociate_reader (#647 <https://github.com/ros2/rmw_fastrtps/issues/647>) (#649 <https://github.com/ros2/rmw_fastrtps/issues/649>)
  * [rolling] Update maintainers - 2022-11-07 (#643 <https://github.com/ros2/rmw_fastrtps/issues/643>)
  * Contributors: Audrow Nash, Chris Lalancette, Miguel Company, Oscarchoi

 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 14 Feb 2023 00:00:00 -0000

ros-rolling-rmw-fastrtps-shared-cpp (6.5.0-1jammy) jammy; urgency=high

  * Remove duplicated code (#637 <https://github.com/ros2/rmw_fastrtps/issues/637>)
  * Call callbacks only if unread count > 0 (#634 <https://github.com/ros2/rmw_fastrtps/issues/634>)
  * Add rmw_get_gid_for_client impl (#631 <https://github.com/ros2/rmw_fastrtps/issues/631>)
  * Contributors: Barry Xu, Brian, mauropasse

 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 02 Nov 2022 00:00:00 -0000

ros-rolling-rmw-fastrtps-shared-cpp (6.4.0-1jammy) jammy; urgency=high

  * Use Fast-DDS Waitsets instead of listeners (#619 <https://github.com/ros2/rmw_fastrtps/issues/619>)
  * Take all available samples on service/client on_data_available. (#616 <https://github.com/ros2/rmw_fastrtps/issues/616>)
  * Revert "add line feed for RCUTILS_SAFE_FWRITE_TO_STDERR (#608 <https://github.com/ros2/rmw_fastrtps/issues/608>)" (#612 <https://github.com/ros2/rmw_fastrtps/issues/612>)
  * add line feed for RCUTILS_SAFE_FWRITE_TO_STDERR (#608 <https://github.com/ros2/rmw_fastrtps/issues/608>)
  * Contributors: Miguel Company, Ricardo González, Tomoya Fujita

 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 13 Sep 2022 00:00:00 -0000

ros-rolling-rmw-fastrtps-shared-cpp (6.3.0-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 03 May 2022 00:00:00 -0000

ros-rolling-rmw-fastrtps-shared-cpp (6.2.1-1jammy) jammy; urgency=high

  * Address linter waning for windows. (#592 <https://github.com/ros2/rmw_fastrtps/issues/592>)
  * Add pub/sub init, publish and take instrumentation using tracetools (#591 <https://github.com/ros2/rmw_fastrtps/issues/591>)
  * Add content filter topic feature (#513 <https://github.com/ros2/rmw_fastrtps/issues/513>)


=== debian/control ===
Source: ros-rolling-rmw-fastrtps-shared-cpp
Section: misc
Priority: optional
Maintainer: Geoffrey Biggs <geoff@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake-ros, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-fastcdr, ros-rolling-fastrtps, ros-rolling-fastrtps-cmake-module, ros-rolling-osrf-testing-tools-cpp <!nocheck>, ros-rolling-rcpputils, ros-rolling-rcutils, ros-rolling-rmw, ros-rolling-rmw-dds-common, ros-rolling-rosidl-dynamic-typesupport, ros-rolling-rosidl-dynamic-typesupport-fastrtps, ros-rolling-rosidl-runtime-c, ros-rolling-rosidl-typesupport-introspection-c, ros-rolling-rosidl-typesupport-introspection-cpp, ros-rolling-tracetools, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rmw-fastrtps-shared-cpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-ament-cmake, ros-rolling-fastcdr, ros-rolling-fastrtps, ros-rolling-fastrtps-cmake-module, ros-rolling-rcpputils, ros-rolling-rcutils, ros-rolling-rmw, ros-rolling-rmw-dds-common, ros-rolling-rosidl-dynamic-typesupport, ros-rolling-rosidl-dynamic-typesupport-fastrtps, ros-rolling-rosidl-typesupport-introspection-c, ros-rolling-rosidl-typesupport-introspection-cpp, ros-rolling-tracetools, ros-rolling-ros-workspace
Description: Code shared on static and dynamic type support of rmw_fastrtps_cpp.

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
